package com.miaxis.carousel.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.carousel.domain.CarouselChartInfo;

/**
 * 轮播图Mapper接口
 *
 * @author miaxis
 * @date 2021-03-11
 */
public interface CarouselChartInfoMapper extends BaseMapper<CarouselChartInfo> {
    /**
     * 查询轮播图列表
     *
     * @param carouselChartInfo 轮播图
     * @return 轮播图集合
     */
    List<CarouselChartInfo> selectCarouselChartInfoList(CarouselChartInfo carouselChartInfo);

}
