package com.miaxis.carousel.service;

import java.util.List;
import com.miaxis.carousel.domain.CarouselChartInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.common.core.domain.Response;

/**
 * 轮播图Service接口
 *
 * @author miaxis
 * @date 2021-03-11
 */
public interface ICarouselChartInfoService extends IService<CarouselChartInfo>{
    /**
     * 查询轮播图列表
     *
     * @param carouselChartInfo 轮播图
     * @return 轮播图集合
     */
    List<CarouselChartInfo> selectCarouselChartInfoList(CarouselChartInfo carouselChartInfo);

    /**
     * 删除轮播图(伪删除)
     * @param ids
     * @return
     */
    Response<Integer> removeCarouselByIds(Long[] ids);
}
